#pragma once

#include <iostream>
#include <string>

class Log {
public:
    Log(int log_level) : log_level_(log_level) {}

    void put(std::string info) { 
        if (log_level_ > 0)
            std::cout << "log: " << info << std::endl; 
    }

private:
    const int log_level_;
};